Name:          yapet
Version:       0.6
Release:       2%{?dist}
Summary:       Curses based password encryption tool

Group:         Applications/Productivity
License:       GPLv3+ with exceptions
URL:           http://www.guengel.ch/myapps/%{name}/
Source0:       http://www.guengel.ch/myapps/%{name}/downloads/%{name}-%{version}.tar.gz
# patch from:  http://bugs.guengel.ch/show_bug.cgi?id=26
Patch0:        %{name}_gcc44-0.6.diff

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: openssl-devel
BuildRequires: ncurses-devel
BuildRequires: gettext


%description
YAPET is a text based password manager using the Blowfish encryption algorithm.
Because of its small footprint and very few library dependencies, it is suited
for installing on desktop and server systems alike.


%prep
%setup -q

%if 0%{?fedora} >=11
%patch0 -p1
%endif

for i in README DESIGN
do
 iconv -f iso-8859-1 -t utf-8 $i |sed 's|\r||g' > $i.utf8
 touch -c -r $i $i.utf8
 mv $i.utf8 $i
done


%build
%configure --enable-terminal-title --enable-csv2yapet --enable-pwgen --disable-build-doc --disable-source-doc --disable-install-doc
make %{?_smp_mflags} CXXFLAGS+="%{optflags}" CFLAGS+="%{optflags}"


%install
rm -rf %{buildroot}
make install INSTALL="install -p" DESTDIR=%{buildroot}
rm -rf %{buildroot}/%{_datadir}/applications/
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING DESIGN LICENSE NEWS README THANKS TODO
%{_bindir}/%{name}
%{_bindir}/csv2%{name}
%{_mandir}/man*/*%{name}*


%changelog
* Sun Oct 12 2009 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.6-2
- Correct License and patch integration
- Add LICENSE to DOC

* Sun Oct 12 2009 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.6-1
- Initial Package build
